


Project "srecord.1.3"                                             Page 1
List of Changes                                 Thu Jan 13 13:23:38 2000

Change  State           Description
------- -------         -------------
  10    completed       prepare for release
  11    completed       FSF address
  12    completed       CRLF



Project "srecord.1.3", Change 10                                  Page 1
Change Details                                  Thu Jan 13 13:23:39 2000

NAME
        Project "srecord.1.3", Delta 1, Change 10.

SUMMARY
        prepare for release

DESCRIPTION
        This change prepares SRecord for the next public release.

        This change must pass a full regression test.  This change is
        exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  create    1.1         etc/CHANGES.1.2
        source  modify    1.6 -> 1.7  etc/configure.in
        source  modify    1.4 -> 1.5  etc/new.1.2.so
        source  create    1.1         etc/new.1.3.so
        source  modify    1.6 -> 1.7  lib/common/interval.cc
        test    modify    1.3 -> 1.4  test/00/t0005a.sh
        test    modify    1.3 -> 1.4  test/00/t0006a.sh
        test    modify    1.2 -> 1.3  test/00/t0022a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Wed May 12      pmiller
                        13:02:07 1999
        develop_begin   Wed May 12      pmiller  Elapsed time: 0.239
                        13:02:09 1999            days.
        develop_end     Wed May 12      pmiller
                        14:49:47 1999
        review_pass     Wed May 12      pmiller
                        14:50:34 1999
        integrate_begin Wed May 12      pmiller
                        14:50:37 1999
        integrate_pass  Wed May 12      pmiller
                        14:52:51 1999



Project "srecord.1.3", Change 11                                  Page 1
Change Details                                  Thu Jan 13 13:23:40 2000

NAME
        Project "srecord.1.3", Delta 2, Change 11.

SUMMARY
        FSF address

DESCRIPTION
        This change updates the FSF address in the GPL file headers.

        This change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.5 -> 1.6  config
        source  modify   1.12 -> 1.13 etc/Howto.cook
        source  modify    1.9 -> 1.10 etc/archive.cook
        source  modify    1.7 -> 1.8  etc/documentation.cook
        source  modify    1.3 -> 1.4  etc/new.1.1.so
        source  modify    1.5 -> 1.6  etc/new.1.2.so
        source  modify    1.1 -> 1.2  etc/new.1.3.so
        source  modify    1.2 -> 1.3  etc/reference.man
        source  modify    1.2 -> 1.3  etc/srecord.gif.uue
        source  modify    1.2 -> 1.3  etc/template/c
        source  modify    1.4 -> 1.5  etc/template/cc
        source  modify    1.2 -> 1.3  etc/template/generic
        source  modify    1.5 -> 1.6  etc/template/h
        source  modify    1.2 -> 1.3  etc/template/sh
        source  modify    1.3 -> 1.4  etc/template/test
        source  modify    1.5 -> 1.6  include/arglex.h
        source  modify    1.5 -> 1.6  include/interval.h
        source  modify    1.2 -> 1.3  include/progname.h
        source  modify   1.19 -> 1.20 include/srec/arglex.h
        source  modify    1.5 -> 1.6  include/srec/input.h
        source  modify    1.9 -> 1.10 include/srec/input/file.h
        source  modify    1.5 -> 1.6  include/srec/input/file/binary.h
        source  modify    1.8 -> 1.9  include/srec/input/file/intel.h
        source  modify    1.5 -> 1.6  include/srec/input/file/srecord.h
        source  modify    1.4 -> 1.5  include/srec/input/file/
                                      tektronix.h
        source  modify    1.5 -> 1.6  include/srec/input/filter.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/and.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/
                                      checksum.h
        source  modify    1.5 -> 1.6  include/srec/input/filter/crop.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/fill.h
        source  modify    1.5 -> 1.6  include/srec/input/filter/length.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/
                                      maximum.h



Project "srecord.1.3", Change 11                                  Page 2
Change Details                                  Thu Jan 13 13:23:40 2000

        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.4 -> 1.5  include/srec/input/filter/
                                      minimum.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/offset.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/or.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/split.h
        source  modify    1.4 -> 1.5  include/srec/input/filter/
                                      unsplit.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/xor.h
        source  modify    1.2 -> 1.3  include/srec/input/interval.h
        source  modify    1.6 -> 1.7  include/srec/memory.h
        source  modify    1.4 -> 1.5  include/srec/memory/chunk.h
        source  modify    1.4 -> 1.5  include/srec/memory/walker.h
        source  modify    1.4 -> 1.5  include/srec/memory/walker/
                                      writer.h
        source  modify    1.4 -> 1.5  include/srec/output.h
        source  modify    1.8 -> 1.9  include/srec/output/file.h
        source  modify    1.5 -> 1.6  include/srec/output/file/binary.h
        source  modify    1.4 -> 1.5  include/srec/output/file/c.h
        source  modify    1.6 -> 1.7  include/srec/output/file/intel.h
        source  modify    1.4 -> 1.5  include/srec/output/file/srecord.h
        source  modify    1.4 -> 1.5  include/srec/output/file/
                                      tektronix.h
        source  modify    1.8 -> 1.9  include/srec/record.h
        source  modify    1.4 -> 1.5  include/srecord/input/filter/
                                      fill.h
        source  modify    1.5 -> 1.6  lib/common/arglex.cc
        source  modify    1.7 -> 1.8  lib/common/interval.cc
        source  modify    1.2 -> 1.3  lib/common/progname.cc
        source  modify    1.2 -> 1.3  lib/common/versn_stamp.cc
        source  modify    1.2 -> 1.3  lib/common/versn_stamp.h
        source  modify   1.20 -> 1.21 lib/srec/arglex.cc
        source  modify    1.6 -> 1.7  lib/srec/input.cc
        source  modify   1.10 -> 1.11 lib/srec/input/file.cc
        source  modify    1.5 -> 1.6  lib/srec/input/file/binary.cc
        source  modify    1.8 -> 1.9  lib/srec/input/file/intel.cc
        source  modify    1.7 -> 1.8  lib/srec/input/file/srecord.cc
        source  modify    1.5 -> 1.6  lib/srec/input/file/tektronix.cc
        source  modify    1.5 -> 1.6  lib/srec/input/filter.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/and.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/checksum.cc
        source  modify    1.5 -> 1.6  lib/srec/input/filter/crop.cc
        source  modify    1.5 -> 1.6  lib/srec/input/filter/fill.cc
        source  modify    1.5 -> 1.6  lib/srec/input/filter/length.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/maximum.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/minimum.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/offset.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/or.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/split.cc
        source  modify    1.4 -> 1.5  lib/srec/input/filter/unsplit.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/xor.cc
        source  modify    1.2 -> 1.3  lib/srec/input/interval.cc
        source  modify    1.6 -> 1.7  lib/srec/memory.cc
        source  modify    1.4 -> 1.5  lib/srec/memory/chunk.cc
        source  modify    1.4 -> 1.5  lib/srec/memory/walker.cc
        source  modify    1.4 -> 1.5  lib/srec/memory/walker/writer.cc



Project "srecord.1.3", Change 11                                  Page 3
Change Details                                  Thu Jan 13 13:23:40 2000

        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.5 -> 1.6  lib/srec/output.cc
        source  modify    1.9 -> 1.10 lib/srec/output/file.cc
        source  modify    1.5 -> 1.6  lib/srec/output/file/binary.cc
        source  modify    1.4 -> 1.5  lib/srec/output/file/c.cc
        source  modify    1.6 -> 1.7  lib/srec/output/file/intel.cc
        source  modify    1.5 -> 1.6  lib/srec/output/file/srecord.cc
        source  modify    1.4 -> 1.5  lib/srec/output/file/tektronix.cc
        source  modify    1.5 -> 1.6  lib/srec/record.cc
        source  modify   1.18 -> 1.19 man/man1/o_input.so
        source  modify    1.7 -> 1.8  prog/srec_cat/main.cc
        source  modify    1.4 -> 1.5  prog/srec_cmp/main.cc
        source  modify    1.2 -> 1.3  prog/srec_info/main.cc
        test    modify    1.4 -> 1.5  test/00/t0001a.sh
        test    modify    1.3 -> 1.4  test/00/t0002a.sh
        test    modify    1.6 -> 1.7  test/00/t0003a.sh
        test    modify    1.3 -> 1.4  test/00/t0004a.sh
        test    modify    1.4 -> 1.5  test/00/t0005a.sh
        test    modify    1.4 -> 1.5  test/00/t0006a.sh
        test    modify    1.4 -> 1.5  test/00/t0007a.sh
        test    modify    1.2 -> 1.3  test/00/t0008a.sh
        test    modify    1.2 -> 1.3  test/00/t0009a.sh
        test    modify    1.2 -> 1.3  test/00/t0010a.sh
        test    modify    1.2 -> 1.3  test/00/t0011a.sh
        test    modify    1.2 -> 1.3  test/00/t0012a.sh
        test    modify    1.2 -> 1.3  test/00/t0013a.sh
        test    modify    1.2 -> 1.3  test/00/t0014a.sh
        test    modify    1.2 -> 1.3  test/00/t0015a.sh
        test    modify    1.2 -> 1.3  test/00/t0016a.sh
        test    modify    1.2 -> 1.3  test/00/t0017a.sh
        test    modify    1.4 -> 1.5  test/00/t0018a.sh
        test    modify    1.2 -> 1.3  test/00/t0019a.sh
        test    modify    1.2 -> 1.3  test/00/t0020a.sh
        test    modify    1.2 -> 1.3  test/00/t0021a.sh
        test    modify    1.3 -> 1.4  test/00/t0022a.sh
        test    modify    1.2 -> 1.3  test/00/t0023a.sh
        test    modify    1.2 -> 1.3  test/00/t0024a.sh
        test    modify    1.2 -> 1.3  test/00/t0025a.sh
        test    modify    1.2 -> 1.3  test/00/t0026a.sh
        test    modify    1.2 -> 1.3  test/00/t0027a.sh
        test    modify    1.2 -> 1.3  test/00/t0028a.sh
        test    modify    1.2 -> 1.3  test/00/t0029a.sh
        test    modify    1.2 -> 1.3  test/00/t0030a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Aug  5      pmiller
                        12:29:40 1999
        develop_begin   Thu Aug  5      pmiller
                        12:29:41 1999
        develop_end     Thu Aug  5      pmiller
                        12:38:46 1999
        review_pass     Thu Aug  5      pmiller
                        12:38:49 1999




Project "srecord.1.3", Change 11                                  Page 4
Change Details                                  Thu Jan 13 13:23:40 2000

        What            When            Who      Comment
        ------          ------          -----    ---------
        integrate_begin Thu Aug  5      pmiller  Elapsed time: 0.051
                        12:38:53 1999            days.
        integrate_pass  Thu Aug  5      pmiller
                        13:01:38 1999



Project "srecord.1.3", Change 12                                  Page 1
Change Details                                  Thu Jan 13 13:23:44 2000

NAME
        Project "srecord.1.3", Delta 3, Change 12.

SUMMARY
        CRLF

DESCRIPTION
        This change makes the text input more robust when faced with
        CRLF files (caused by DOS and UNIX sharing the same file
        server).

        My thanks to Galen Seitz <galens@seitzassoc.com> for reporting
        this problem.

        This change must pass a full regression test.  This change is
        exempt from testing against the development directory.  This
        change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by external_bug.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify   1.10 -> 1.11 include/srec/input/file.h
        source  modify   1.11 -> 1.12 lib/srec/input/file.cc
        source  modify    1.7 -> 1.8  lib/srec/memory.cc

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Nov  4      pmiller
                        10:42:26 1999
        develop_begin   Thu Nov  4      pmiller  Elapsed time: 0.297
                        10:42:29 1999            days.
        develop_end     Thu Nov  4      pmiller
                        12:56:11 1999
        review_pass     Thu Nov  4      pmiller
                        12:56:14 1999
        integrate_begin Thu Nov  4      pmiller  Elapsed time: 0.043
                        12:56:26 1999            days.
        integrate_pass  Thu Nov  4      pmiller
                        13:16:00 1999
